<template>
  <div id="diary-habits">
    <vx-card title="Nhật ký">
      <div class="flex flex-wrap" :set="(data = habits)">
        <div v-for="(diarHabit, index) in data" :key="index" class="w-1/2">
          <div
            class="flex justify-between m-3 p-3"
            :class="{
              'border border-solid d-theme-border-grey-light rounded-lg': true
            }"
            @click="changeHabitFilter(diarHabit.id)"
          >
            <img
              :src="diarHabit.media"
              alt="latest-upload"
              class="habit-profile-img responsive rounded"
            />
            <div class="mr-3">
              <p class="font-semibold">{{ diarHabit.name }}</p>
              <small>
                Đã cập nhật trạng thái:<br />
                {{ diarHabit.lastestUpdate | time }}
                {{ diarHabit.lastestUpdate | formatTextDate }}
              </small>
            </div>
            <div class="flex flex-col items-end">
              <p>Số bài</p>
              <vs-chip class="ml-auto mt-1" color="#999">
                {{ diarHabit.badge }}
              </vs-chip>
            </div>
          </div>
        </div>
      </div>
    </vx-card>
  </div>
</template>

<script>
export default {
  props: {
    habits: { type: Array, default: () => [] }
  },
  methods: {
    changeHabitFilter(habitId) {
      this.$emit("close");
      this.$router.push(`/diary/${habitId}`).catch(() => {});
    }
  }
};
</script>

<style lang="scss">
@import "@/assets/scss/vuexy/pages/diary.scss";
</style>
